Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 484)
@@ -166,24 +166,24 @@
 
                     strcmd.AppendFormat("  {0}", work.VehicleCode.ToString());
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.VehicleName);
-                    strcmd.AppendFormat(",'{0}'", work.RegistrationNumber.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.IdentificationNumber.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.ModelCode);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.VehicleName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.RegistrationNumber.ToString()));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.IdentificationNumber.ToString()));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.ModelCode));
                     strcmd.AppendFormat(", {0}", work.DepartmentCode.ToString());
                     strcmd.AppendFormat(", {0}", work.VehicleScheduleFlg.ToString());
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%dD')", work.PurchaseDate.ToShortDateString());
-                    strcmd.AppendFormat(",'{0}'", work.PurchaseName);
-                    strcmd.AppendFormat(",'{0}'", work.PurchaseContactPersons);
-                    strcmd.AppendFormat(",'{0}'", work.PurchasePhone);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PurchaseName));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PurchaseContactPersons));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.PurchasePhone));
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.LeaseDate.ToShortDateString());
-                    strcmd.AppendFormat(",'{0}'", work.LeaseDestination);
-                    strcmd.AppendFormat(",'{0}'", work.LeaseContactPersons);
-                    strcmd.AppendFormat(",'{0}'", work.LeasePhone);
-                    strcmd.AppendFormat(",'{0}'", work.InsuranceCompany);
-                    strcmd.AppendFormat(",'{0}'", work.InsuranceContactPersons);
-                    strcmd.AppendFormat(",'{0}'", work.InsurancePhone);
-                    strcmd.AppendFormat(",'{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.LeaseDestination));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.LeaseContactPersons));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.LeasePhone));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.InsuranceCompany));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.InsuranceContactPersons));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.InsurancePhone));
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -223,24 +223,24 @@
 
                 strcmd.AppendFormat(" VehicleCode = {0}", data.VehicleCode.ToString());
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
-                strcmd.AppendFormat(",VehicleName = '{0}'", data.VehicleName);
-                strcmd.AppendFormat(",RegistrationNumber = '{0}'", data.RegistrationNumber);
-                strcmd.AppendFormat(",IdentificationNumber = '{0}'", data.IdentificationNumber);
-                strcmd.AppendFormat(",ModelCode = '{0}'", data.ModelCode);
+                strcmd.AppendFormat(",IdentificationNumber =  {0}", SeparateString(data.IdentificationNumber));
+                strcmd.AppendFormat(",ModelCode =  {0}", SeparateString(data.ModelCode));
+                strcmd.AppendFormat(",DepartmentCode = {0}", SeparateString(data.DepartmentCode.ToString()));
+                strcmd.AppendFormat(",VehicleScheduleFlg = {0}", SeparateString(data.VehicleScheduleFlg.ToString()));
                 strcmd.AppendFormat(",DepartmentCode = {0}", data.DepartmentCode.ToString());
                 strcmd.AppendFormat(",VehicleScheduleFlg = {0}", data.VehicleScheduleFlg.ToString());
                 strcmd.AppendFormat(",PurchaseDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.PurchaseDate.ToShortDateString());
-                strcmd.AppendFormat(",PurchaseName = '{0}'", data.PurchaseName);
-                strcmd.AppendFormat(",PurchaseContactPersons = '{0}'", data.PurchaseContactPersons);
-                strcmd.AppendFormat(",PurchasePhone = '{0}'", data.PurchasePhone);
+                strcmd.AppendFormat(",PurchaseName =  {0}", SeparateString(data.PurchaseName));
+                strcmd.AppendFormat(",PurchaseContactPersons =  {0}", SeparateString(data.PurchaseContactPersons));
+                strcmd.AppendFormat(",PurchasePhone =  {0}", SeparateString(data.PurchasePhone));
                 strcmd.AppendFormat(",LeaseDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.LeaseDate.ToShortDateString());
-                strcmd.AppendFormat(",LeaseDestination = '{0}'", data.LeaseDestination);
-                strcmd.AppendFormat(",LeaseContactPersons = '{0}'", data.LeaseContactPersons);
-                strcmd.AppendFormat(",LeasePhone = '{0}'", data.LeasePhone);
-                strcmd.AppendFormat(",InsuranceCompany = '{0}'", data.InsuranceCompany);
-                strcmd.AppendFormat(",InsuranceContactPersons = '{0}'", data.InsuranceContactPersons);
-                strcmd.AppendFormat(",InsurancePhone = '{0}'", data.InsurancePhone);
-                strcmd.AppendFormat(",Note = '{0}'", data.Note);
+                strcmd.AppendFormat(",LeaseDestination =  {0}", SeparateString(data.LeaseDestination));
+                strcmd.AppendFormat(",LeaseContactPersons =  {0}", SeparateString(data.LeaseContactPersons));
+                strcmd.AppendFormat(",LeasePhone =  {0}", SeparateString(data.LeasePhone));
+                strcmd.AppendFormat(",InsuranceCompany =  {0}", SeparateString(data.InsuranceCompany));
+                strcmd.AppendFormat(",InsuranceContactPersons =  {0}", SeparateString(data.InsuranceContactPersons));
+                strcmd.AppendFormat(",InsurancePhone =  {0}", SeparateString(data.InsurancePhone));
+                strcmd.AppendFormat(",Note =  {0}", SeparateString(data.Note));
 
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicleRecordData.cs	(revision 484)
@@ -143,7 +143,7 @@
                     strcmd.AppendFormat(", {0}", work.SeqNo.ToString());
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d')", work.RecordDate.ToShortDateString());
                     strcmd.AppendFormat(", {0}", work.Mileage.ToString());
-                    strcmd.AppendFormat(",'{0}'", work.Content);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Content));
                     strcmd.AppendFormat(", {0}", work.PaymentCost.ToString());
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -187,7 +187,7 @@
                 strcmd.AppendFormat(",SeqNo = {0}", data.SeqNo.ToString());
                 strcmd.AppendFormat(",RecordDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.RecordDate.ToShortDateString());
                 strcmd.AppendFormat(",Mileage = {0}", data.Mileage.ToString());
-                strcmd.AppendFormat(",Content = '{0}'", data.Content);
+                strcmd.AppendFormat(",Content = {0}", SeparateString(data.Content));
                 strcmd.AppendFormat(",PaymentCost = {0}", data.PaymentCost.ToString());
 
                 strcmd.Append(", UpdateDate = NOW()");
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMWorkingTime.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMWorkingTime.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMWorkingTime.cs	(revision 484)
@@ -211,7 +211,7 @@
 
                 strcmd.AppendFormat("  {0}", data.WorkingCode);
                 strcmd.AppendFormat(", {0}", data.DisplayOrder);
-                strcmd.AppendFormat(", '{0}'", data.WorkingName);
+                strcmd.AppendFormat(", {0}", SeparateString(data.WorkingName));
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.StartTime);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.CompTime);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.OverStartTime);
@@ -223,7 +223,7 @@
                 strcmd.AppendFormat(", {0}", data.FriValue);
                 strcmd.AppendFormat(", {0}", data.SatValue);
                 strcmd.AppendFormat(", {0}", data.SunValue);
-                strcmd.AppendFormat(", '{0}'", data.Note);
+                strcmd.AppendFormat(", {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", {0}", data.DeleteFlg);
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.EntryDate);
@@ -272,7 +272,7 @@
 
                     strcmd.AppendFormat("  {0}", work.WorkingCode);
                     strcmd.AppendFormat(", {0}", work.DisplayOrder);
-                    strcmd.AppendFormat(", '{0}'", work.WorkingName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.WorkingName));
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.StartTime);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.CompTime);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.OverStartTime);
@@ -284,7 +284,7 @@
                     strcmd.AppendFormat(", {0}", work.FriValue);
                     strcmd.AppendFormat(", {0}", work.SatValue);
                     strcmd.AppendFormat(", {0}", work.SunValue);
-                    strcmd.AppendFormat(", '{0}'", work.Note);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.Note));
                     strcmd.AppendFormat(", {0}", work.DeleteFlg);
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
@@ -325,7 +325,7 @@
 
                 strcmd.AppendFormat(" WorkingCode = {0}", data.WorkingCode);
                 strcmd.AppendFormat(", DisplayOrder = {0}", data.DisplayOrder);
-                strcmd.AppendFormat(", WorkingName = '{0}'", data.WorkingName);
+                strcmd.AppendFormat(", WorkingName = {0}", SeparateString(data.WorkingName));
                 strcmd.AppendFormat(", StartTime = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.StartTime);
                 strcmd.AppendFormat(", CompTime = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.CompTime);
                 strcmd.AppendFormat(", OverStartTime = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.OverStartTime);
@@ -337,7 +337,7 @@
                 strcmd.AppendFormat(", FriValue = {0}", data.FriValue);
                 strcmd.AppendFormat(", SatValue = {0}", data.SatValue);
                 strcmd.AppendFormat(", SunValue = {0}", data.SunValue);
-                strcmd.AppendFormat(", Note = '{0}'", data.Note);
+                strcmd.AppendFormat(", Note = {0}", SeparateString(data.Note));
                 strcmd.AppendFormat(", DeleteFlg = {0}", data.DeleteFlg);
 
                 strcmd.Append(", UpdateDate = NOW()");
@@ -449,7 +449,7 @@
                         strcmd.AppendFormat(" DisplayOrder = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.WorkingName:
-                        strcmd.AppendFormat(" WorkingName = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" WorkingName = {0}", SeparateString(value.ToString()));
                         break;
                     case (int)TableColumn.StartTime:
                         strcmd.AppendFormat(" StartTime = STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", ((DateTime)value).ToShortDateString());
@@ -488,7 +488,7 @@
                         strcmd.AppendFormat(" DeleteFlg = {0}", ((int)value).ToString());
                         break;
                     case (int)TableColumn.Note:
-                        strcmd.AppendFormat(" Note = '{0}'", value.ToString());
+                        strcmd.AppendFormat(" Note = {0}", SeparateString(value.ToString()));
                         break;
                 }
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialInfo.cs	(revision 484)
@@ -258,8 +258,6 @@
         /// <summary>
         /// 排他行ロック
         /// </summary>
-        /// <param name="MaterialTypesCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLockUpdate(int MaterialItemCode, bool bConnect = true)
         {
@@ -291,8 +289,6 @@
         /// <summary>
         /// 共有行ロック
         /// </summary>
-        /// <param name="MaterialTypesCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLockShare(int MaterialItemCode, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialItem.cs	(revision 484)
@@ -127,7 +127,7 @@
 
                     strcmd.AppendFormat("  {0}", work.MaterialItemCode.ToString());
                     strcmd.AppendFormat(", {0}", work.MaterialKindCode.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.MaterialItemName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MaterialItemName));
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
@@ -167,7 +167,7 @@
 
                 strcmd.AppendFormat(" MaterialItemCode = {0}", data.MaterialItemCode.ToString());
                 strcmd.AppendFormat(",MaterialKindCode = {0}", data.MaterialKindCode.ToString());
-                strcmd.AppendFormat(",MaterialItemName = '{0}'", data.MaterialItemName);
+                strcmd.AppendFormat(",MaterialItemName = {0}", SeparateString(data.MaterialItemName));
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
                 strcmd.Append(", UpdateDate = NOW()");
@@ -206,7 +206,7 @@
 
                 strcmd.AppendFormat(" MaterialItemCode = {0}", data.MaterialItemCode.ToString());
                 strcmd.AppendFormat(",MaterialKindCode = {0}", data.MaterialKindCode.ToString());
-                strcmd.AppendFormat(",MaterialItemName = '{0}'", data.MaterialItemName);
+                strcmd.AppendFormat(",MaterialItemName = {0}", SeparateString(data.MaterialItemName));
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
                 strcmd.Append(", UpdateDate = NOW()");
@@ -416,8 +416,6 @@
         /// <summary>
         /// 行ロック
         /// </summary>
-        /// <param name="MaterialTypesCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLock(int MaterialItemCode, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialRecordInfo.cs	(revision 484)
@@ -136,7 +136,7 @@
                     strcmd.AppendFormat(", {0}", work.PersonCode.ToString());
                     strcmd.AppendFormat(", {0}", work.MaterialCount.ToString());
                     strcmd.AppendFormat(", DATE_FORMAT('{0}','%Y/%m/%d')", work.RepayPlanDate.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.CommentText.ToString());
+                    strcmd.AppendFormat(", {0}", SeparateString(work.CommentText));
 
                     strcmd.Append(", NOW()");
                     strcmd.Append(", NOW()");
@@ -175,7 +175,7 @@
                 strcmd.AppendFormat(",PersonCode = {0}", data.PersonCode.ToString());
                 strcmd.AppendFormat(",MaterialCount = {0}", data.MaterialCount.ToString());
                 strcmd.AppendFormat(",RepayPlanDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.RepayPlanDate.ToString());
-                strcmd.AppendFormat(",CommentText = '{0}'", data.CommentText.ToString());
+                strcmd.AppendFormat(",CommentText = {0}", SeparateString(data.CommentText));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
@@ -319,8 +319,6 @@
         /// <summary>
         /// 行ロック
         /// </summary>
-        /// <param name="MaterialItemCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLock(int MaterialItemCode, DateTime ProcessDate, int SeqNo, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMaterialTypes.cs	(revision 484)
@@ -117,7 +117,7 @@
                     strcmd.Append(" VALUES (");
 
                     strcmd.AppendFormat("  {0}", work.MaterialKindCode.ToString());
-                    strcmd.AppendFormat(", '{0}'", work.MaterialKindName);
+                    strcmd.AppendFormat(", {0}", SeparateString(work.MaterialKindName));
                     strcmd.AppendFormat(", {0}", work.DisplayOrder.ToString());
                     strcmd.AppendFormat(", {0}", work.DeleteFlg.ToString());
 
@@ -153,7 +153,7 @@
                 strcmd.Append(" SET");
 
                 strcmd.AppendFormat(" MaterialKindCode = {0}", data.MaterialKindCode.ToString());
-                strcmd.AppendFormat(",MaterialKindName = '{0}'", data.MaterialKindName);
+                strcmd.AppendFormat(",MaterialKindName = {0}", SeparateString(data.MaterialKindName));
                 strcmd.AppendFormat(",DisplayOrder = {0}", data.DisplayOrder.ToString());
                 strcmd.AppendFormat(",DeleteFlg = {0}", data.DeleteFlg.ToString());
 
@@ -292,8 +292,6 @@
         /// <summary>
         /// 行ロック
         /// </summary>
-        /// <param name="MaterialTypesCode"></param>
-        /// <param name="bConnect"></param>
         /// <returns></returns>
         public bool RowLock(int MaterialTypesCode, bool bConnect = true)
         {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs	(revision 484)
@@ -65,6 +65,44 @@
 
         #endregion
 
+        #region テーブルのフィールドリストを作成する
+        /// <summary>
+        /// テーブルのフィールドリストを作成する
+        /// </summary>
+        /// <returns></returns>
+        public static string CreateFieldNameList(string strAlias = "")
+        {
+            StringBuilder strcmd = new StringBuilder();
+            try
+            {
+                strcmd.Append(" ");
+                bool bColFirst = true;
+                string strWork = string.Empty;
+                foreach (var gender in Enum.GetValues(typeof(ColumnCnt)))
+                {
+                    strWork = gender.ToString();
+                    if (!bColFirst) strcmd.Append(",");
+                    if (strWork.Equals("WritingDate") || strWork.Equals("EntryDate") || strWork.Equals("UpdateDate"))
+                    {
+                        strcmd.AppendFormat(" DATE_FORMAT({0}{1}, '%Y/%m/%d %H:%i:%s') As {1}", strAlias, strWork);
+                    }
+                    else
+                    {
+                        strcmd.AppendFormat(" {0}{1}", strAlias, strWork);
+                    }
+                    bColFirst = false;
+                }
+
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
+        }
+        #endregion
+
         #region 掲示板データ検索文字作成
         /// <summary>
         /// 掲示板データ検索文字作成
@@ -75,28 +113,17 @@
         private string CreateSelectSQL()
         {
             StringBuilder strcmd = new StringBuilder();
-            strcmd.Append("SELECT");
-            strcmd.Append(" RecordNumber");
-            strcmd.Append(",BranchNumber");
-            strcmd.Append(",FromCode");
-            strcmd.Append(",FromName");
-            strcmd.Append(",MessageTitile");
-            strcmd.Append(",MessageContent");
-            strcmd.Append(",LinkType");
-            strcmd.Append(",LinkMessage");
-            strcmd.Append(",LinkCode");
-            strcmd.Append(",DATE_FORMAT(WritingDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(",PersonCode");
-            strcmd.Append(",ShareFlag");
-            strcmd.Append(",MessageColor");
-            strcmd.Append(",BackColor");
-            strcmd.Append(",MessageFlag");
+            try
+            {
+                strcmd.AppendFormat("SELECT {0} FROM MessageBoardData", CreateFieldNameList());
 
-            strcmd.Append(", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')");
-            strcmd.Append(" FROM MessageBoardData");
-
-            return strcmd.ToString();
+                return strcmd.ToString();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return string.Empty;
+            }
         }
         #endregion
 
@@ -206,11 +233,11 @@
                 strcmd.AppendFormat("  {0} ", data.RecordNumber.ToString());
                 strcmd.AppendFormat(", {0} ", data.BranchNumber.ToString());
                 strcmd.AppendFormat(", {0} ", data.FromCode);
-                strcmd.AppendFormat(",'{0}'", data.FromName);
-                strcmd.AppendFormat(",'{0}'", data.MessageTitle.Replace(",", "，").Replace("'", "’"));
-                strcmd.AppendFormat(",'{0}'", data.MessageContent.Replace(",", "，").Replace("'", "’"));
+                strcmd.AppendFormat(", {0} ", SeparateString(data.FromName));
+                strcmd.AppendFormat(", {0} ", SeparateString(data.MessageTitle));
+                strcmd.AppendFormat(", {0} ", SeparateString(data.MessageContent));
                 strcmd.AppendFormat(", {0} ", data.LinkType);
-                strcmd.AppendFormat(",'{0}'", data.LinkMessage.Replace(",", "，").Replace("'", "’"));
+                strcmd.AppendFormat(", {0} ", SeparateString(data.LinkMessage));
                 strcmd.AppendFormat(",'{0}'", data.LinkCode);
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", data.WritingDate.ToString());
@@ -268,11 +295,11 @@
                     strcmd.AppendFormat("  {0} ", work.RecordNumber.ToString());
                     strcmd.AppendFormat(", {0} ", work.BranchNumber.ToString());
                     strcmd.AppendFormat(", {0} ", work.FromCode);
-                    strcmd.AppendFormat(",'{0}'", work.FromName);
-                    strcmd.AppendFormat(",'{0}'", work.MessageTitle);
-                    strcmd.AppendFormat(",'{0}'", work.MessageContent);
+                    strcmd.AppendFormat(", {0} ", SeparateString(work.FromName));
+                    strcmd.AppendFormat(", {0} ", SeparateString(work.MessageTitle));
+                    strcmd.AppendFormat(", {0} ", SeparateString(work.MessageContent));
                     strcmd.AppendFormat(", {0} ", work.LinkType);
-                    strcmd.AppendFormat(",'{0}'", work.LinkMessage);
+                    strcmd.AppendFormat(", {0} ", SeparateString(work.LinkMessage));
                     strcmd.AppendFormat(",'{0}'", work.LinkCode);
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.WritingDate.ToString());
@@ -321,11 +348,11 @@
                 strcmd.AppendFormat(" RecordNumber = {0} ", data.RecordNumber);
                 strcmd.AppendFormat(",BranchNumber = {0} ", data.BranchNumber);
                 strcmd.AppendFormat(",FromCode = {0} ", data.FromCode);
-                strcmd.AppendFormat(",FromName = '{0}'", data.FromName);
-                strcmd.AppendFormat(",MessageTitile = '{0}'", data.MessageTitle.Replace(",", "，").Replace("'", "’"));
-                strcmd.AppendFormat(",MessageContent = '{0}'", data.MessageContent.Replace(",", "，").Replace("'", "’"));
+                strcmd.AppendFormat(",FromName = {0} ", SeparateString(data.FromName));
+                strcmd.AppendFormat(",MessageTitile = {0}", SeparateString(data.MessageTitle));
+                strcmd.AppendFormat(",MessageContent = {0}", SeparateString(data.MessageContent));
                 strcmd.AppendFormat(",LinkType = {0} ", data.LinkType);
-                strcmd.AppendFormat(",LinkMessage = '{0}'", data.LinkMessage.Replace(",", "，").Replace("'", "’"));
+                strcmd.AppendFormat(",LinkMessage = {0}", SeparateString(data.LinkMessage));
                 strcmd.AppendFormat(",LinkCode = '{0}'", data.LinkCode);
                 strcmd.AppendFormat(",WritingDate = DATE_FORMAT('{0}','%Y/%m/%d %H:%i:%s')", data.WritingDate.ToString());
                 strcmd.AppendFormat(",PersonCode = {0} ", data.PersonCode);
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs	(revision 484)
@@ -187,7 +187,7 @@
                 strcmd.AppendFormat(", {0} ", CommonMotions.cnvInt(work.BranchNumber.ToString()));
                 strcmd.AppendFormat(", {0} ", work.SeqNum);
                 strcmd.AppendFormat(", {0} ", work.ToCode);
-                strcmd.AppendFormat(",'{0}'", work.ToName.ToString());
+                strcmd.AppendFormat(", {0} ", SeparateString(work.ToName));
 
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                 strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -237,7 +237,7 @@
                     strcmd.AppendFormat(", {0} ", CommonMotions.cnvInt(work.BranchNumber.ToString()));
                     strcmd.AppendFormat(", {0} ", work.SeqNum);
                     strcmd.AppendFormat(", {0} ", work.ToCode);
-                    strcmd.AppendFormat(",'{0}'", work.ToName.ToString());
+                    strcmd.AppendFormat(", {0} ", SeparateString(work.ToName));
 
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.EntryDate);
                     strcmd.AppendFormat(", STR_TO_DATE('{0}','%Y/%m/%d %H:%i:%s')", work.UpdateDate);
@@ -278,7 +278,7 @@
                 strcmd.AppendFormat(",BranchNumber = {0} ", CommonMotions.cnvInt(data.BranchNumber.ToString()));
                 strcmd.AppendFormat(",SeqNum = {0} ", data.SeqNum);
                 strcmd.AppendFormat(",ToCode = {0} ", data.ToCode);
-                strcmd.AppendFormat(",ToName = '{0}'", data.ToName.ToString());
+                strcmd.AppendFormat(",ToName = {0} ", SeparateString(data.ToName));
 
                 strcmd.Append(", UpdateDate = NOW()");
                 strcmd.Append(AddSQLString);
